## QmiClientQos

QmiClientQos — QmiClient for the QOS service.

## Signals

void | flow-status | Run Last
void | network-status | Run Last

## Types and Values

struct | QmiClientQos

## Object Hierarchy

        GObject
        ╰── QmiClient
            ╰── QmiClientQos

## Description

QmiClient which handles operations in the QOS service.

## Functions

## Types and Values

### struct QmiClientQos

    struct QmiClientQos;

The QmiClientQos structure contains private data and should only be accessed using the provided API.

Since: 1.0

## Signal Details

### The `“flow-status”` signal

    void
    user_function (QmiClientQos                     *object,
                   QmiIndicationQosFlowStatusOutput *output,
                   gpointer                          user_data)

The ::flow-status signal gets emitted when a 'Flow Status' indication is received.

#### Parameters

object | A QmiClientQos. |
output | A QmiIndicationQosFlowStatusOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.22

### The `“network-status”` signal

    void
    user_function (QmiClientQos                        *object,
                   QmiIndicationQosNetworkStatusOutput *output,
                   gpointer                             user_data)

The ::network-status signal gets emitted when a 'Network Status' indication is received.

#### Parameters

object | A QmiClientQos. |
output | A QmiIndicationQosNetworkStatusOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.22